CREATE TABLE rs_company (id SERIAL PRIMARY KEY, name VARCHAR(30), catchPhrase VARCHAR(100), bs VARCHAR(100));
CREATE TABLE rs_geo (id SERIAL PRIMARY KEY, lat VARCHAR(20), lng VARCHAR(20));
CREATE TABLE rs_address (id SERIAL PRIMARY KEY, street VARCHAR (30), suite VARCHAR(20), city VARCHAR(30), zipcode VARCHAR(20), geoId INTEGER REFERENCES rs_geo(id));
CREATE TABLE rs_users (id SERIAL PRIMARY KEY, name VARCHAR(50), username VARCHAR(30), email VARCHAR(50), addressId INTEGER REFERENCES rs_address(id), phone VARCHAR(30), website VARCHAR(30), companyId INTEGER REFERENCES rs_company(id));
CREATE TABLE rs_post (id SERIAL PRIMARY KEY, userId INTEGER REFERENCES rs_users(id), title VARCHAR(200), body VARCHAR(500));
CREATE TABLE rs_album (id SERIAL PRIMARY KEY, userId INTEGER REFERENCES rs_users(id), title VARCHAR(200));
CREATE TABLE rs_todo (id SERIAL PRIMARY KEY, userId INTEGER REFERENCES rs_users(id), title VARCHAR(200), completed BOOLEAN);
CREATE TABLE rs_comment (id SERIAL PRIMARY KEY, postId INTEGER REFERENCES rs_post(id), name VARCHAR(100), email VARCHAR(50), body VARCHAR(500));
CREATE TABLE rs_photo (id SERIAL PRIMARY KEY, albumId INTEGER REFERENCES rs_album(id), title VARCHAR(200), url VARCHAR(100), thumbnailUrl VARCHAR(100));
